Subject: Re: [syzbot] [usb?] [wireless?] divide error in ath9k_htc_swba

From: syzbot <[email-masked]>
Date: Sun, 09 Jun 2024 01:10:03 -0700

syzbot suspects this issue was fixed by commit:

commit 24355fcb0d4cbcb6ddda262596558e8cfba70f11
Author: Toke Høiland-Jørgensen <[email-masked]>
Date:   Fri Jan 26 14:02:17 2024 +0000

    wifi: ath9k: delay all of ath9k_wmi_event_tasklet() until init is complete

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=155ade02980000
start commit:   e8b767f5e040 Merge tag 'for-linus-5.18-rc1' of git://git.k..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=a28aee0add079437
dashboard link: https://syzkaller.appspot.com/bug?extid=90d241d7661ca2493f0b
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=130fa987700000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=12f2d26b700000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: wifi: ath9k: delay all of ath9k_wmi_event_tasklet() until init is complete

For information about bisection process see: https://goo.gl/tpsmEJ#bisection